com.taosdata.jdbc.ws.entity

## Class FetchResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.entity.CommonResp
    - - com.taosdata.jdbc.ws.entity.FetchResp

    public class FetchResp
    extends CommonResp

fetch result pojo

### Constructor Summary

Constructors
Constructor and Description
`FetchResp()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getId()`
`Integer[]` `getLengths()`
`int` `getRows()`
`boolean` `isCompleted()`
`void` `setCompleted(boolean completed)`
`void` `setId(long id)`
`void` `setLengths(Integer[] lengths)`
`void` `setRows(int rows)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.CommonResp

`getCode, getMessage, setCode, setMessage`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchResp

    public FetchResp()

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### isCompleted

    public boolean isCompleted()

#### setCompleted

    public void setCompleted(boolean completed)

#### getLengths

    public Integer[] getLengths()

#### setLengths

    public void setLengths(Integer[] lengths)

#### getRows

    public int getRows()

#### setRows

    public void setRows(int rows)